package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomConfigTaskContent;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomConfigTaskContentExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComRoomConfigTaskContentMapper {
    long countByExample(ThirdPartWeComRoomConfigTaskContentExample example);

    int deleteByExample(ThirdPartWeComRoomConfigTaskContentExample example);

    int deleteByPrimaryKey(String id);

    int insert(ThirdPartWeComRoomConfigTaskContent record);

    int insertSelective(ThirdPartWeComRoomConfigTaskContent record);

    List<ThirdPartWeComRoomConfigTaskContent> selectByExample(ThirdPartWeComRoomConfigTaskContentExample example);

    ThirdPartWeComRoomConfigTaskContent selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComRoomConfigTaskContent record, @Param("example") ThirdPartWeComRoomConfigTaskContentExample example);

    int updateByExample(@Param("record") ThirdPartWeComRoomConfigTaskContent record, @Param("example") ThirdPartWeComRoomConfigTaskContentExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComRoomConfigTaskContent record);

    int updateByPrimaryKey(ThirdPartWeComRoomConfigTaskContent record);
}